var last;
function getXMLHTTPRequest() {
var req;
try {
	req = new XMLHttpRequest();
} catch(err1) {
	try {
		req = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (err2) {
		try {
			req = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (err3) {
				req = false;
			}
		}
	}
	return req;
}
//****************************************************************************************************************************
function BucarDatosViaje(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('lista1');
  
  via=document.form1.via.value;
  origen=document.form1.origen.value;
  destino=document.form1.destino.value;
  fecha_ini=document.form1.fecha_ini.value;
  fecha_fin=document.form1.fecha_fin.value;  
  //stock_medi=Math.round(document.form1.stock.value);
  
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_programa_pax_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("via="+via+"&origen="+origen+"&destino="+destino+"&fecha_ini="+fecha_ini+"&fecha_fin="+fecha_fin)
		
  
}
//****************************************************************************************************************************
function Focus(elemento, valor) {
	$(elemento).className = 'inputon';	
	last = valor;
}
function Blur(elemento, valor, campo, cod_ruta, via, fecha_ini, fecha_fin, origen, destino) {
  //donde se mostrará lo resultados
  
  
  //divResultado = document.getElementById('lista1');    
	 ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion 
		  $(elemento).className = 'inputoff';	
		  if (last != valor){
		  ajax.open("POST","procesos/p_programa_trans_g.php",true);
		  }
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  //divResultado.innerHTML = ajax.responseText
		  //divResultado.style.display="block";
		  //llamar a funcion para limpiar los inputs		  
		  }
		  }
		  
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send('valor='+valor+'&campo='+campo+'&cod_ruta='+cod_ruta+'&via='+via+'&fecha_ini='+fecha_ini+'&fecha_fin='+fecha_fin+'&origen='+origen+'&destino='+destino)  
    
}
//****************************************************************************************************************************
function Focus1(elemento, valor) {
	$(elemento).className = 'inputon';	
	last = valor;
}
function Blur1(elemento, valor, campo, campo1, parametro, via, fecha_ini, fecha_fin, origen, destino) {
  //donde se mostrará lo resultados
  
  
  divResultado = document.getElementById('lista1');    
	 ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion 
		  $(elemento).className = 'inputoff';	
		  if (last != valor){
		  ajax.open("POST","procesos/p_programa_rutatrans_g.php",true);
		  }
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  divResultado.style.display="block";
		  //llamar a funcion para limpiar los inputs		  
		  }
		  }
		  
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send('valor='+valor+'&campo='+campo+'&campo1='+campo1+'&parametro='+parametro+'&via='+via+'&fecha_ini='+fecha_ini+'&fecha_fin='+fecha_fin+'&origen='+origen+'&destino='+destino)  
    
}
//****************************************************************************************************************************
